Skala
Locations

List all locations

Fetches a complete list of location records available in the system.

GET
/api/locations

Fetches a complete list of location records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

isActive?boolean
functions.functions?string
functions.functions[]?array<>

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/locations"
[
  {
    "id": 0,
    "name": "string",
    "legalName": "string",
    "address": "/entity/1",
    "functions": [
      {
        "id": 0,
        "name": "string",
        "functions": "string"
      }
    ],
    "isActive": true,
    "isDefault": true,
    "storageBins": [
      {
        "id": 0,
        "name": "string"
      }
    ]
  }
]